Global syllables:String = "..lexegezacebisousesarmaindirea.eratenberalavetiedorquanteisrion"


Global prefix:String[]=["Alpha","Beta","Chi","Delta","Epsilon","Eta","Gamma","Iota","Kappa","Lambda","My","Ny","Omega","Omicron","Phi","Pi","Psi","Rho","Sigma","Tau","Theta","Xi","Ypsilon","Zeta"]
Global nameseed:Int[3]

' ----------------------------------------------------------------------------
' shuffle planet name seed
' ----------------------------------------------------------------------------
Function Tweakseed(baseseed:Int=1)
    
    Local temp:Int=((nameseed[0]+nameseed[1]+nameseed[2])*baseseed) Mod $10000
    nameseed[0]=nameseed[1]
    nameseed[1]=nameseed[2]
    nameseed[2]=temp
    
End Function

' ----------------------------------------------------------------------------
' Create Random Planet name (elite style)
' ----------------------------------------------------------------------------
Function CreateName:String()
	
    Local longnameflag:Int=nameseed[0] & $40
    Local planetname:String=""
    Local n:Int,d:Int
    
    For n=0 To 3
        
        d=((nameseed[2] Shr 8) & $1f) Shl 1
        Tweakseed()
        
        If n<3 Or longnameflag Then
			
            planetname=planetname+Mid(syllables,1+d,2)
            planetname=Replace(planetname,".","")
            
        EndIf
        
    Next
    
    planetname=Upper(Mid(planetname,1,1))+Mid(planetname,2,Len(planetname)-1)
    
    Return planetname
    
End Function

' ----------------------------------------------------------------------------
' Set a planet
' ----------------------------------------------------------------------------
Function SetPlanet(num:Int=0)
    
    Local i:Int
    
	'nameseed[0]=$5A4B
	'nameseed[1]=$0248
	'nameseed[2]=$B753

	nameseed[0] = Rand($7FFF, $FFFF)
	nameseed[1] = Rand($7FFF, $FFFF)
	nameseed[2] = Rand($7FFF, $FFFF)
	
	For i=0 To num-1
        
        Tweakseed()
        Tweakseed()
        Tweakseed()
        Tweakseed()
        
    Next
    
End Function